@tailwind base;
@tailwind components;
@tailwind utilities;

@layer utilities {
  .image-background {
    opacity: .15;
    pointer-events: none;
    position: absolute;
  }
  .image-normal {
    opacity: 1;
    pointer-events: auto;
    position: relative;
  }
}


.slide-right-enter-active,
.slide-right-leave-active {
  transition: all 0.6s cubic-bezier(0.25, 1, 0.5, 1);
  position: absolute;
}

.slide-right-enter-from {
  transform: translateX(-100vw);
}

.slide-right-leave-to {
  transform: translateX(100vw);
  opacity: 0;
}

.slide-left-enter-active,
.slide-left-leave-active {
  transition: all 0.6s cubic-bezier(0.25, 1, 0.5, 1);
  position: absolute;
}

.slide-left-enter-from {
  transform: translateX(100vw);
}

.slide-left-leave-to {
  transform: translateX(-100vw);
  opacity: 0;
}

.slide-up-enter-active,
.slide-up-leave-active {
  transition: all 0.6s cubic-bezier(0.25, 1, 0.5, 1);
  position: absolute;
}

.slide-up-enter-from {
  transform: translateY(100vw);
}

.slide-up-leave-to {
  transform: translateY(-100vw);
  opacity: 0;
}

.slide-down-enter-active,
.slide-down-leave-active {
  transition: all 0.6s cubic-bezier(0.25, 1, 0.5, 1);
  position: absolute;
}

.slide-down-enter-from {
  transform: translateY(-100vw);
}

.slide-down-leave-to {
  transform: translateY(100vw);
  opacity: 0;
}

.fade-enter-active {
  transition: opacity 0.6s cubic-bezier(0.25, 1, 0.5, 1);
}

.fade-enter-from {
  opacity: 0;
}